@import "https://cdnjs.cloudflare.com/ajax/libs/font-awesome/7.3.1/css/all.min.css";

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

:root {
    --background: linear-gradient(212deg, #000, #1d1b1b, #2c2a2a);
    --text: #fff;
    --accent: rgb(1, 122, 1);
    --accent-secondary: rgb(1, 74, 1);
    --accent-danger: rgb(141, 4, 4);
    --accent-danger-medium: rgb(130, 1, 1);
    --accent-danger-darker: rgb(93, 2, 2);
    --underline-color: rgb(3, 161, 3);
    --accent-medium: rgb(8, 99, 29);
    --header: rgb(2, 61, 2);
    --app-title: "FreeSub";
    --app-title-short: "FS";
    --app-about: "Just another Free Subdomain Service.";
}

html, body {
    margin: 0;
    padding: 0;
    width: 100%;
    height: auto;
    background: var(--background);
    background-repeat: no-repeat;
    background-size: cover;
    background-attachment: fixed;
    color: var(--text);
    font-family: system-ui;
    text-align: center;
}

.app-header {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    width: 100%;
    background: var(--header);
    height: 80.8px;
    border-radius: 10px;
    position: fixed;
    top: 0;
    z-index: 10000;
    bottom: 0.5px;
    margin-bottom: 20.6px;
}

.app-header .app-header-left, .app-header .app-header-right {
    display: flex;
    flex-direction: row;
    align-items: center;
}

.app-logo {
    display: block;
    flex-direction: column;
    width: 70px;
    margin: 4px;
    border-radius: 12px;
    height: 70px;
    justify-content: center;
    font-size: 46px;
    align-items: center;
    font-weight: bolder;
    background: linear-gradient(135deg, var(--accent), var(--accent-secondary));
}

.app-logo::before {
    content: var(--app-title-short);
}

.app-logo .app-logo-click {
    content: "";
    width: 70px;
    height: 70px;
    border-radius: 12px;
    display: block;
    position: absolute;
    top: 10px;
    cursor: pointer;
}

.app-flex {display: flex}
.app-flex-column {flex-direction: column}
.app-flex-row {flex-direction: row}
.app-align-items-center {align-items: center}

.error-container {
    font-size: 30px;
    font-weight: 600;
}

.error-container p, a {
    margin-bottom: 12px;
}

.error-container h1 {
    font-size: 120px;
    font-weight: bolder;
    color: #fff;
    transition: all 3s linear;
    animation: colorChange 6s linear infinite;
}

.error-container a {
    color: #fff;
    text-decoration: none;
}

.error-container a:hover {
    color: var(--accent);
    font-weight: bold;
}

@keyframes colorChange {
    from {color: rgb(108, 2, 2)}
    to {color: rgb(201, 3, 3)}
}

.app-content {
    margin-top: 100px !important;
}

.main-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.main-container div {
    display: flex;
    flex-direction: column;
    background: var(--accent-secondary);
    width: 98%;
    border-radius: 12px;
    height: auto;
    margin-bottom: 12px;
}

.main-container .hero {
    background: linear-gradient(121deg, var(--accent-secondary), var(--accent-medium));
    background-repeat: no-repeat;
    height: auto;
}

.border-small {
    border: 2px solid var(--text);
    border-radius: 12px;
    width: max-content;
    width: auto;
    padding: 5.2px;
    align-self: center;
    margin: 8px;
    z-index: 2;
}

.cursor.blink {
    animation: blink 1s ease-in infinite;
}

.dialog {
    display: flex;
    margin-top: 12px;
    font-size: clamp(21.2px, 3vw, 32px);
    font-weight: bolder;
    font-family: system-ui;
    align-self: center;
    justify-self: center;
    margin-bottom: 12px;
}

@keyframes blink {
    0%, 100% { opacity: 0; }
    50% { opacity: 1; }
}

.line {
    width: 100% !important;
    /* width: clamp(200px, 80.9%, 1200px); */
    align-self: center;
    height: 2px;
    background: var(--text);
    border-radius: 2px;
    margin-bottom: 12px;
    opacity: 0.90;
    margin-top: 12px;
}

.hero .line {
    width: 90% !important;
}

.row-flex {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    align-items: center;
    gap: 12px;
    margin-top: 12px;
    background: transparent !important;
}

button {
    flex: 0 0 auto;
    width: 210px;
    border: 2px solid var(--accent-secondary);
    background: var(--accent-medium);
    outline: none;
    border-radius: 9px;
    font-size: 23px;
    font-weight: bold;
    font-family: system-ui;
    margin-bottom: 10px;
    color: var(--text);
    cursor: pointer;
}

a.hidden {
    display: none;
}

form {
    width: 100%;
    display: flex;
    flex-direction: column;
}

form button {
    align-self: center;
}

form input, textarea {
    background: transparent;
    border-radius: 10px;
    color: var(--text);
    resize: none;
    outline: none;
    border: 2px solid var(--text);
    padding: 10px 10px 10px 10px;
    font-weight: bolder;
    margin-top: 10px;
    margin-bottom: 10px;
}

.contact-us-info {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    margin-top: 20px;
    background: var(--accent-medium);
    padding: 20px;
}

.contact-us-info h1 {
    font-size: 36px;
    margin-bottom: 12px;
}

.contact-us-info p {
    font-size: 16px;
    margin-bottom: 12px;
}

.contact-us-info span {
    color: var(--accent);
    text-decoration: underline;
}

/* */

.menu-button {
    display: inline-flex;
    font-size: 20px;
    position: relative;
    border-radius: 9px;
    background: var(--accent-medium);
    width: 40px;
    z-index: 9999;
    height: 40px;
    margin-right: 4px;
    align-items: center;
    justify-content: center;
}

.menu-button .menu-checkbox {
    position: absolute;
    cursor: pointer;
    border-radius: 9px;
    appearance: none;
    -webkit-appearance: none;
    display: block;
    border: 2px solid var(--accent-secondary);
    width: 100%;
    height: 100%;
    outline: none;
}

.menu-button .fa-bars {
    display: inline-block;
    align-self: center;
}

.menu-button .fa-times {
    display: none;
    align-self: center;
}

.menu-nav .menu-content {
    display: none;
}

.menu-button:has(.menu-checkbox:checked) .fa-bars {
    display: none;
}

.menu-button:has(.menu-checkbox:checked) .fa-times {
    display: inline-block;
}

body:has(.menu-button .menu-checkbox:checked) .menu-nav .menu-content {
    display: flex;
    flex-direction: column;
    background: var(--accent-medium);
    font-size: 34.2px;
    position: fixed;
    width: 100vw;
    top: -2px;
    z-index: 99;
    justify-content: center;
    height: 100vh;
    font-weight: bold;
    margin-bottom: 10px;
    animation: menuScale 0.7s ease;
    align-items: center;
}

.menu-nav-text-bigger {
    font-size: 43.3px !important;
}

body:has(.menu-button .menu-checkbox:checked) .app-header {
    background: transparent;
}

body:has(.menu-button .menu-checkbox:checked) .app-logo {
    display: none;
}

body:has(.menu-checkbox:checked) {
    overflow: hidden;
}

body:has(.menu-button .menu-checkbox:checked) .menu-nav .menu-content a {
    color: #fff !important;
}

@keyframes menuScale {
    from {height: 0; opacity: 0; touch-action: none;}
    to {height: 100vh; opacity: 1; touch-action: auto;}
}

body:has(.menu-button .menu-checkbox:checked) .menu-nav .menu-content a {
    text-decoration: none;
    width: max-content;
    cursor: pointer;
}